import { CollectionFieldInterface } from '@tachybase/client';
export declare class ExpressionFieldInterface extends CollectionFieldInterface {
    name: string;
    type: string;
    group: string;
    order: number;
    title: string;
    description: string;
    sortable: boolean;
    default: {
        type: string;
        uiSchema: {
            'x-component': string;
        };
    };
    properties: {
        'uiSchema.title': {
            type: string;
            title: string;
            required: boolean;
            "x-decorator": string;
            "x-component": string;
        };
        name: {
            type: string;
            title: string;
            required: boolean;
            "x-disabled": string;
            "x-decorator": string;
            "x-component": string;
            "x-validator": string;
            description: string;
        };
    };
}
