export declare function createManualFormBlockUISchema(options: any): import("packages/schema/lib").Stringify<{
    [key: symbol]: any;
    [key: `x-${string}`]: any;
    [key: `x-${number}`]: any;
    version?: string;
    name?: import("packages/schema/lib").SchemaKey;
    title?: any;
    description?: any;
    default?: any;
    readOnly?: boolean;
    writeOnly?: boolean;
    type?: import("packages/schema/lib").SchemaTypes;
    enum?: import("packages/schema/lib").SchemaEnum<any>;
    const?: any;
    multipleOf?: number;
    maximum?: number;
    exclusiveMaximum?: number;
    minimum?: number;
    exclusiveMinimum?: number;
    maxLength?: number;
    minLength?: number;
    pattern?: string | RegExp;
    maxItems?: number;
    minItems?: number;
    uniqueItems?: boolean;
    maxProperties?: number;
    minProperties?: number;
    required?: string[] | boolean | string;
    format?: string;
    $ref?: string;
    $namespace?: string;
    definitions?: import("packages/schema/lib").SchemaProperties<any, any, any, any, any, any, any, any>;
    properties?: import("packages/schema/lib").SchemaProperties<any, any, any, any, any, any, any, any>;
    items?: import("packages/schema/lib").SchemaItems<any, any, any, any, any, any, any, any>;
    additionalItems?: import("packages/schema/lib").Stringify<any>;
    patternProperties?: import("packages/schema/lib").SchemaProperties<any, any, any, any, any, any, any, any>;
    additionalProperties?: import("packages/schema/lib").Stringify<any>;
    "x-value"?: any;
    "x-index"?: number;
    "x-pattern"?: any;
    "x-display"?: any;
    "x-validator"?: any;
    "x-decorator"?: any;
    "x-decorator-props"?: any;
    "x-component"?: any;
    "x-component-props"?: any;
    "x-reactions"?: import("packages/schema/lib").SchemaReactions<any>;
    "x-content"?: any;
    "x-data"?: any;
    "x-visible"?: boolean;
    "x-hidden"?: boolean;
    "x-disabled"?: boolean;
    "x-editable"?: boolean;
    "x-read-only"?: boolean;
    "x-read-pretty"?: boolean;
    "x-compile-omitted"?: string[];
}>;
