import { Instruction } from '../../../nodes/default-node/interface';
export declare class NoticeInstruction extends Instruction {
    title: string;
    type: string;
    group: string;
    icon: string;
    color: string;
    description: string;
    components: {
        ArrayItems: import("packages/schema/lib").ReactFC<import("react").HTMLAttributes<HTMLDivElement>> & import("@tachybase/components").ArrayBaseMixins & {
            Item: import("packages/schema/lib").ReactFC<React.HTMLAttributes<HTMLDivElement> & {
                type?: "card" | "divide";
            }>;
        };
        SelectNotifiedPerson: (props: any) => import("react/jsx-runtime").JSX.Element;
        AdditionNotifiedPerson: () => import("react/jsx-runtime").JSX.Element;
        ConfigButtonNotice: (props: any) => import("react/jsx-runtime").JSX.Element;
        ShowNoticeDetail: () => import("react/jsx-runtime").JSX.Element;
    };
    fieldset: {
        notifiedPerson: {
            type: string;
            title: string;
            'x-decorator': string;
            'x-component': string;
            'x-component-props': {
                className: string;
            };
            items: {
                type: string;
                'x-component': string;
                'x-component-props': {
                    className: string;
                };
                properties: {
                    sort: {
                        type: string;
                        'x-decorator': string;
                        'x-component': string;
                    };
                    input: {
                        type: string;
                        'x-decorator': string;
                        'x-component': string;
                    };
                    remove: {
                        type: string;
                        'x-decorator': string;
                        'x-component': string;
                    };
                };
            };
            properties: {
                add: {
                    type: string;
                    title: string;
                    'x-component': string;
                };
            };
        };
        showNoticeDetail: {
            type: string;
            title: string;
            required: boolean;
            'x-decorator': string;
            'x-component': string;
            properties: {
                showNoticeDetail: {
                    type: string;
                    'x-component': string;
                };
            };
        };
    };
    isAvailable(params: any): boolean;
}
