import { RadioWithTooltip } from '../..';
import { Instruction } from '../../nodes/default-node/interface';
/** 节点: 分支 */
export default class extends Instruction {
    title: string;
    type: string;
    group: string;
    icon: string;
    color: string;
    description: string;
    fieldset: {
        mode: {
            type: string;
            title: string;
            'x-decorator': string;
            'x-component': string;
            'x-component-props': {
                options: {
                    value: string;
                    label: string;
                    tooltip: string;
                }[];
            };
            default: string;
        };
    };
    components: {
        RadioWithTooltip: typeof RadioWithTooltip;
    };
    Component({ data }: {
        data: any;
    }): import("react/jsx-runtime").JSX.Element;
}
