import { JOB_STATUS } from '../constants';
import { Instruction } from './default-node/interface';
export default class extends Instruction {
    title: string;
    type: string;
    group: string;
    icon: string;
    color: string;
    description: string;
    fieldset: {
        endStatus: {
            type: string;
            title: string;
            'x-decorator': string;
            'x-component': string;
            enum: {
                label: string;
                value: JOB_STATUS;
            }[];
            required: boolean;
            default: JOB_STATUS;
        };
    };
    end: boolean;
}
