import { ISchema } from '@tachybase/schema';
export declare const collectionWorkflows: {
    name: string;
    fields: ({
        type: string;
        name: string;
        interface: string;
        uiSchema: ISchema;
        target?: undefined;
        targetKey?: undefined;
        foreignKey?: undefined;
        collectionName?: undefined;
    } | {
        type: string;
        name: string;
        interface?: undefined;
        uiSchema?: undefined;
        target?: undefined;
        targetKey?: undefined;
        foreignKey?: undefined;
        collectionName?: undefined;
    } | {
        name: string;
        type: string;
        interface: string;
        target: string;
        targetKey: string;
        foreignKey: string;
        collectionName: string;
        uiSchema: {
            type: string;
            title: string;
            'x-component': string;
            'x-component-props': {
                fieldNames: {
                    value: string;
                    label: string;
                };
            };
            'x-read-pretty': boolean;
        };
    })[];
};
export declare const workflowFieldset: Record<string, ISchema>;
export declare const createWorkflow: ISchema;
export declare const updateWorkflow: ISchema;
export declare const workflowSchema: ISchema;
