var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var workflowNotice_exports = {};
__export(workflowNotice_exports, {
  COLLECTION_WORKFLOWS_NAME: () => COLLECTION_WORKFLOWS_NAME,
  default: () => workflowNotice_default
});
module.exports = __toCommonJS(workflowNotice_exports);
var import_database = require("@tachybase/database");
var import_constants = require("../../common/constants");
const COLLECTION_WORKFLOWS_NAME = "workflows";
const WorkflowNotice = (0, import_database.defineCollection)({
  namespace: "workflow.notice",
  dumpRules: "required",
  name: import_constants.COLLECTION_NOTICE_NAME,
  createdBy: true,
  updatedBy: true,
  fields: [
    {
      type: "string",
      name: "collectionName"
    },
    {
      type: "string",
      name: "dataKey"
    },
    {
      type: "string",
      name: "index"
    },
    {
      type: "integer",
      name: "status"
    },
    {
      type: "jsonb",
      name: "snapshot",
      defaultValue: {}
    },
    {
      type: "jsonb",
      name: "summary",
      defaultValue: {}
    },
    {
      type: "belongsTo",
      name: "user",
      target: "users"
    },
    {
      type: "belongsTo",
      name: "workflow",
      onDelete: "CASCADE"
    },
    {
      type: "belongsTo",
      name: "execution"
    },
    {
      type: "belongsTo",
      name: "node",
      target: "flow_nodes"
    },
    {
      type: "belongsTo",
      name: "job",
      target: "jobs"
    }
  ]
});
var workflowNotice_default = WorkflowNotice;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  COLLECTION_WORKFLOWS_NAME
});
