var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var add_createdBy_exports = {};
__export(add_createdBy_exports, {
  default: () => add_createdBy_default
});
module.exports = __toCommonJS(add_createdBy_exports);
var import_server = require("@tachybase/server");
class add_createdBy_default extends import_server.Migration {
  on = "afterLoad";
  // 'beforeLoad' or 'afterLoad'
  appVersion = "<0.22.59";
  async up() {
    const userRepo = this.context.db.getRepository("users");
    const workflowRepo = this.context.db.getRepository("workflows");
    const rootUser = await userRepo.findOne({
      filter: {
        specialRole: "root"
      },
      raw: true
    });
    const { id } = rootUser;
    const result = await workflowRepo.update({
      filter: {
        createdById: null
      },
      values: { createdById: id, updatedById: id }
    });
    console.log("[workflows] add createdBy and updateBy", result.length, "rows");
  }
}
