import { BelongsToGetAssociationMixin, Database, HasManyGetAssociationsMixin, Model } from '@tachybase/database';
import JobModel from './Job';
import WorkflowModel from './Workflow';
export default class ExecutionModel extends Model {
    static readonly database: Database;
    id: number;
    title: string;
    context: any;
    status: number;
    createdAt: Date;
    updatedAt: Date;
    key: string;
    workflow?: WorkflowModel;
    getWorkflow: BelongsToGetAssociationMixin<WorkflowModel>;
    jobs?: JobModel[];
    getJobs: HasManyGetAssociationsMixin<JobModel>;
}
