import { JOB_STATUS } from '../..';
import { Instruction } from '../../nodes/default-node/interface';
declare function Duration({ value, onChange }: {
    value?: number;
    onChange: any;
}): import("react/jsx-runtime").JSX.Element;
/** 节点: */
export default class extends Instruction {
    title: string;
    type: string;
    group: string;
    icon: string;
    color: string;
    description: string;
    fieldset: {
        duration: {
            type: string;
            title: string;
            'x-decorator': string;
            'x-component': string;
            default: number;
            required: boolean;
        };
        endStatus: {
            type: string;
            title: string;
            'x-decorator': string;
            'x-component': string;
            enum: {
                label: string;
                value: JOB_STATUS;
            }[];
            required: boolean;
            default: JOB_STATUS;
        };
    };
    components: {
        Duration: typeof Duration;
    };
    isAvailable({ engine, workflow, upstream, branchIndex }: {
        engine: any;
        workflow: any;
        upstream: any;
        branchIndex: any;
    }): boolean;
}
export {};
