import { VariableOption, WorkflowVariableInput } from '../..';
import { Instruction } from '../../nodes/default-node/interface';
export default class extends Instruction {
    title: string;
    type: string;
    group: string;
    icon: string;
    color: string;
    description: string;
    fieldset: {
        target: {
            type: string;
            title: string;
            description: string;
            'x-decorator': string;
            'x-component': string;
            'x-component-props': {
                changeOnSelect: boolean;
                useTypedConstant: string[];
                className: string;
            };
            required: boolean;
        };
    };
    components: {
        WorkflowVariableInput: typeof WorkflowVariableInput;
    };
    Component({ data }: {
        data: any;
    }): import("react/jsx-runtime").JSX.Element;
    useScopeVariables(node: any, options: any): VariableOption[];
}
