export declare const CollectionFlowNodes: {
    title: string;
    name: string;
    fields: ({
        type: string;
        name: string;
        interface: string;
        uiSchema: {
            type: string;
            title: string;
            'x-component': string;
            'x-component-props': {
                fieldNames: {
                    label: string;
                    value: string;
                };
                service: {
                    resource: string;
                    params: {
                        filter: {
                            type: string;
                        };
                    };
                };
            };
        };
    } | {
        type: string;
        name: string;
        interface: string;
        uiSchema: {
            type: string;
            title: string;
            'x-component': string;
            'x-component-props'?: undefined;
        };
    })[];
};
