export declare const CollectionWorkflowNotice: {
    title: string;
    name: string;
    fields: ({
        type: string;
        name: string;
        interface: string;
        uiSchema: {
            type: string;
            title: string;
            'x-component': string;
            'x-component-props'?: undefined;
            enum?: undefined;
        };
        target?: undefined;
        foreignKey?: undefined;
        isAssociation?: undefined;
    } | {
        type: string;
        name: string;
        target: string;
        foreignKey: string;
        interface: string;
        uiSchema: {
            type: string;
            title: string;
            'x-component': string;
            'x-component-props': {
                fieldNames: {
                    label: string;
                    value: string;
                };
                service: {
                    resource: string;
                };
                showTime?: undefined;
                style?: undefined;
            };
            enum?: undefined;
        };
        isAssociation?: undefined;
    } | {
        type: string;
        name: string;
        target: string;
        foreignKey: string;
        interface: string;
        isAssociation: boolean;
        uiSchema: {
            type: string;
            title: string;
            'x-component': string;
            'x-component-props': {
                fieldNames: {
                    label: string;
                    value: string;
                };
                service: {
                    resource: string;
                };
                showTime?: undefined;
                style?: undefined;
            };
            enum?: undefined;
        };
    } | {
        type: string;
        name: string;
        interface: string;
        uiSchema: {
            type: string;
            title: string;
            'x-component': string;
            enum: {
                value: any;
                label: string;
                color: string;
            }[];
            'x-component-props'?: undefined;
        };
        target?: undefined;
        foreignKey?: undefined;
        isAssociation?: undefined;
    } | {
        name: string;
        type: string;
        interface: string;
        uiSchema: {
            type: string;
            title: string;
            'x-component': string;
            'x-component-props': {
                showTime: boolean;
                fieldNames?: undefined;
                service?: undefined;
                style?: undefined;
            };
            enum?: undefined;
        };
        target?: undefined;
        foreignKey?: undefined;
        isAssociation?: undefined;
    } | {
        type: string;
        name: string;
        interface: string;
        uiSchema: {
            type: string;
            title: string;
            'x-component': string;
            'x-component-props': {
                style: {
                    overflow: string;
                    textOverflow: string;
                    whiteSpace: string;
                };
                fieldNames?: undefined;
                service?: undefined;
                showTime?: undefined;
            };
            enum?: undefined;
        };
        target?: undefined;
        foreignKey?: undefined;
        isAssociation?: undefined;
    })[];
};
