import { SchemaInitializerItemType, useCollectionDataSource } from '@tachybase/client';
import { Trigger } from '..';
export default class extends Trigger {
    sync: boolean;
    title: string;
    description: string;
    fieldset: {
        config: {
            type: string;
            'x-component': string;
            'x-component-props': {};
        };
    };
    scope: {
        useCollectionDataSource: typeof useCollectionDataSource;
    };
    components: {
        ScheduleConfig: () => import("react/jsx-runtime").JSX.Element;
    };
    useVariables(config: any, opts: any): any[];
    useInitializers(config: any): SchemaInitializerItemType | null;
}
