var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var users_jobs_exports = {};
__export(users_jobs_exports, {
  default: () => users_jobs_default
});
module.exports = __toCommonJS(users_jobs_exports);
var import_database = require("@tachybase/database");
var users_jobs_default = (0, import_database.defineCollection)({
  name: "users_jobs",
  dumpRules: {
    group: "log"
  },
  shared: true,
  fields: [
    {
      type: "bigInt",
      name: "id",
      primaryKey: true,
      autoIncrement: true
    },
    {
      type: "belongsTo",
      name: "job",
      target: "jobs",
      foreignKey: "jobId",
      primaryKey: false
    },
    {
      type: "belongsTo",
      name: "user",
      target: "users",
      foreignKey: "userId",
      primaryKey: false
    },
    {
      type: "belongsTo",
      name: "execution"
    },
    {
      type: "belongsTo",
      name: "node",
      target: "flow_nodes"
    },
    {
      type: "belongsTo",
      name: "workflow"
    },
    {
      type: "integer",
      name: "status"
    },
    {
      type: "jsonb",
      name: "result"
    }
  ]
});
