import { FlowNodeModel, Instruction, JobModel, Processor } from '../..';
export declare const PARALLEL_MODE: {
    readonly ALL: "all";
    readonly ANY: "any";
    readonly RACE: "race";
    readonly ALL_SETTLED: "allSettled";
};
export default class extends Instruction {
    run(node: FlowNodeModel, prevJob: JobModel, processor: Processor): Promise<any>;
    resume(node: FlowNodeModel, branchJob: any, processor: Processor): Promise<any>;
}
