var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ResponseMessageInstruction_exports = {};
__export(ResponseMessageInstruction_exports, {
  ResponseInstruction: () => ResponseInstruction
});
module.exports = __toCommonJS(ResponseMessageInstruction_exports);
var import_constants = require("../../constants");
var import_instructions = __toESM(require("../../instructions"));
class ResponseInstruction extends import_instructions.default {
  async run(node, prevJob, processor) {
    const { httpContext } = processor.options;
    if (!httpContext.state) {
      httpContext.state = {};
    }
    if (!httpContext.state.messages) {
      httpContext.state.messages = [];
    }
    const message = processor.getParsedValue(node.config.message, node.id);
    if (message) {
      httpContext.state.messages.push({ message });
    }
    return {
      status: import_constants.JOB_STATUS.RESOLVED,
      result: message
    };
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ResponseInstruction
});
