import Instruction from '../../instructions';
import Processor from '../../Processor';
export declare class TriggerInstruction extends Instruction {
    run(node: any, input: any, processor: Processor): Promise<{
        status: -1;
        result?: undefined;
    } | {
        status: 1;
        result: any;
    } | {
        status: 0;
        result?: undefined;
    }>;
    resume(node: any, prevJob: any, processor: Processor): Promise<any>;
}
