var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var bigInt_exports = {};
__export(bigInt_exports, {
  default: () => bigInt_default
});
module.exports = __toCommonJS(bigInt_exports);
var import_server = require("@tachybase/server");
var import_sequelize = require("sequelize");
class bigInt_default extends import_server.Migration {
  on = "afterLoad";
  // 'beforeLoad' or 'afterLoad'
  appVersion = "<0.22.86";
  async up() {
    const queryInterface = this.db.sequelize.getQueryInterface();
    await queryInterface.changeColumn("executions", "parentNode", {
      type: import_sequelize.DataTypes.BIGINT
    });
    await queryInterface.changeColumn("jobs", "cost", {
      type: import_sequelize.DataTypes.BIGINT
    });
    this.app.logger.info("change bigint success!");
  }
}
