import { BelongsToGetAssociationMixin, Model } from '@tachybase/database';
import FlowNodeModel from './FlowNode';
export default class JobModel extends Model {
    id: number;
    status: number;
    result: any;
    createdAt: Date;
    updatedAt: Date;
    upstreamId: number;
    upstream: JobModel;
    nodeId: number;
    node?: FlowNodeModel;
    getNode: BelongsToGetAssociationMixin<FlowNodeModel>;
}
